Skip to content

Server

12 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

DELETE /api/v1/servers/{id}

Delete a server by ID or name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesServer ID or name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/servers/{id}/files

List filenames under a specific server path.

Get a filtered list of filenames and directories. Directories are suffixed with ‘/’.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesServer ID
pathquerystringYesAbsolute path on the server to list
extensionsqueryarray of stringNoFilter by file extensions (e.g., .jpg, .png)

Responses

StatusDescriptionSchema
200OKroute.APIResponse + object

GET /api/v1/servers/{id}/install

Get server installation progress.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
200OKcore.ServerInstallProgress

POST /api/v1/servers/{id}/install

Start server installation.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
202Acceptedobject of string

DELETE /api/v1/servers/{id}/install/logs

Delete server installation log.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
204No Content

GET /api/v1/servers/{id}/install/logs

Get server installation log.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID
afterqueryintegerNoLog sequence cursor; values less than or equal to 0 return all logs

Responses

StatusDescriptionSchema
200OKarray of utils.LogEntry

GET /api/v1/servers/{id}/install/logs/download

Download server installation log.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
200OKfile

DELETE /api/v1/servers/{id}/logs

Delete server logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
204No Content

GET /api/v1/servers/{id}/logs

List server logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID
afterqueryintegerNoLog sequence cursor; values less than or equal to 0 return all logs

Responses

StatusDescriptionSchema
200OKarray of utils.LogEntry

GET /api/v1/servers/{id}/logs/download

Download server logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
200OKfile

POST /api/v1/servers/{id}/restart

Restart server application.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
202Acceptedobject of string

POST /api/v1/servers/{id}/tls/renew

Check or renew a server TLS certificate.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesServer ID

Responses

StatusDescriptionSchema
202Acceptedobject of string